<!--The whole content below can be removed with the new code.-->
<div>
  <div class="container" >
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <h1>Update profile</h1>
      </div>
    </div>
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <form>
          <div class="form-group row">
            <label for="username" class="col-4 col-form-label">Username</label>
            <div class="col-8">
              <input type="text" class="form-control" id="username" placeholder="User name" name="username" pattern=".{3,}" minlength="3"
                     [(ngModel)]="updateUser.username" required>
            </div>
          </div>
          <div class="form-group row">
            <label for="useremail" class="col-4 col-form-label">Email</label>
            <div class="col-8">
              <input type="email" class="form-control" id="useremail" placeholder="email" name="useremail" pattern=".{3,}" minlength="3"
                     [(ngModel)]="updateUser.email" disabled>
            </div>
          </div>
          <div class="form-group row">
            <label for="inputWallet" class="col-4 col-form-label">Wallet</label>
            <small class="col-4">Currency is PLN. Maximum 10 000 PLN per user</small>
            <div class="col-4">
              <input type="number" class="form-control" id="inputWallet" placeholder="PLN" name="wallet" min="10" max="10000"
                     [(ngModel)]="updateUser.wallet" required>
            </div>
          </div>
          <button type="submit" class="btn btn-primary pull-right" (click)="updateUserProfile()">
            Update
          </button>
        </form>

        <button  class="btn btn-danger" [routerLink]="['/']">
          Back
        </button>
      </div>
    </div>

    <div class="row justify-content-md-center m-3" *ngIf="gs?.activeUser?.details?.email === 'admin@admin.pl'">
      <div class="alert alert-primary">
        <h6>
          Admin restore panel
        </h6>
        <p>Restore number of stock with number of <strong>1 000 000</strong></p>
        <button class="btn btn-info" (click)="restoreStocks()">Restore stocks</button>
      </div>
    </div>
  </div>
</div>

